#include <bits/stdc++.h>
using namespace std;
main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    long long n;
    cin>>n;
    int b=0, c;
    while(n>0)
    {
        c=n%10;
        if(c>=5)
        {
            b++;
            c-=5;
        }
        if(c>=2)
        {
            b+=c/2;
            c%=2;
        }
        if(c==1)
            b++;
        n/=10;
    }
    cout<<b;
}